cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

find_package(gz-sim8 ${gz-sim_FIND_VERSION} REQUIRED COMPONENTS ${gz-sim_FIND_COMPONENTS})

# Set up the core library and add it to the list of all components
add_library(gz-sim::gz-sim ALIAS gz-sim8::gz-sim8)
add_library(gz-sim::core ALIAS gz-sim8::gz-sim8)

# Retrieve the list of components
get_target_property(components gz-sim8::requested INTERFACE_LINK_LIBRARIES)

foreach(component ${components})
  # Skip the core library
  if(${component} STREQUAL gz-sim8::gz-sim8)
    continue()
  endif()

  # Change "gz-libN::gz-libN-component" to "component"
  string(REGEX REPLACE "gz-sim8::gz-sim8-" "" component_name ${component})
  add_library(gz-sim::${component_name} ALIAS ${component})
endforeach()

# Add a root gz-lib alias
add_library(gz-sim ALIAS gz-sim8::gz-sim8)
